Subject: Re: [PATCH v3 0/8] improve "git format-patch --commit-list-format"

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Mar 2026 09:37:17 -0700

Phillip Wood <[email-masked]> writes:

> On 23/03/2026 20:10, Junio C Hamano wrote:
>> Mirko Faina <[email-masked]> writes:
>> 
>>> Not much has changed, just applied the suggestions Kristoffer made.
>>> Thank you again for the review
>>> ...
>>> [7/8] format-patch: add preset for --commit-list-format (Mirko Faina)
>>> [8/8] format-patch: --commit-list-format without prefix (Mirko Faina)
>>> ...
>>>   Documentation/config/format.adoc    |  2 +-
>>>   Documentation/git-format-patch.adoc | 19 ++++----
> I've just had a look at what you merged to next and it looks sound to 
> me. The tweaks to the new feature in this series are very welcome 
> improvements.

Yup, I tried "modern" and generally liked it very much.

The appearance of the list looked a bit odd that each element in a
list of things with heading was shown without any indentation before
the heading, though.  I'd probably use

    --commit-list-format=" %(count): %<(72,trunc)%s"

or something like that myself.

I seem to be getting spurious blank lines between the lines with the
above, when I lengthen and shorten 72 in the format string above,
though.  I haven't figured out what is broken, though.